USB_ROOT_HUB_LOST(9)

NAME
usb_root_hub_lost_power - called by HCD if the root hub lost Vbus power

SYNOPSIS

void usb_root_hub_lost_power (struct usb_device * rhdev);

ARGUMENTS

rhdev
    struct usb_device for the root hub

DESCRIPTION

The USB host controller driver calls this function when its root hub is resumed and Vbus power has been interrupted or the controller has been reset. The routine marks all the children of the root hub as NOTATTACHED and marks logical connect-change events on their ports.